<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::Gameplay Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Gameplay.html">Gameplay</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classgg_1_1Gameplay-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::Gameplay Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Gameplay_8hpp_source.html">Gameplay.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::Gameplay:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1Gameplay.png" usemap="#gg::Gameplay_map" alt=""/>
  <map id="gg::Gameplay_map" name="gg::Gameplay_map">
<area href="classgg_1_1GameState.html" alt="gg::GameState" shape="rect" coords="69,56,198,80"/>
<area href="classgg_1_1IEventSubscriber.html" alt="gg::IEventSubscriber" shape="rect" coords="0,0,129,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a328b60e39c3e42c3934fb9b8fe6c215f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a328b60e39c3e42c3934fb9b8fe6c215f">Gameplay</a> (std::string)</td></tr>
<tr class="separator:a328b60e39c3e42c3934fb9b8fe6c215f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31ae1423b8e4197bec904b594419ad1b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a31ae1423b8e4197bec904b594419ad1b">~Gameplay</a> () override</td></tr>
<tr class="separator:a31ae1423b8e4197bec904b594419ad1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfadd107fed3c592faec7bf2cc594ec1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#acfadd107fed3c592faec7bf2cc594ec1">Enter</a> () override</td></tr>
<tr class="separator:acfadd107fed3c592faec7bf2cc594ec1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4fff19dc4a7848680586c134841aaec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#af4fff19dc4a7848680586c134841aaec">Exit</a> () override</td></tr>
<tr class="separator:af4fff19dc4a7848680586c134841aaec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62f7697ab2b80b8663985217d02f4631"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a62f7697ab2b80b8663985217d02f4631">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e) override</td></tr>
<tr class="separator:a62f7697ab2b80b8663985217d02f4631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0526d473d0edda7c71ccd049c7c7abbd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a0526d473d0edda7c71ccd049c7c7abbd">Update</a> () override</td></tr>
<tr class="separator:a0526d473d0edda7c71ccd049c7c7abbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7c208dd9325562dd9203b4db25a6020"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#aa7c208dd9325562dd9203b4db25a6020">NewGame</a> ()</td></tr>
<tr class="separator:aa7c208dd9325562dd9203b4db25a6020"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88bb43938f1defeed996a31149d29465"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a88bb43938f1defeed996a31149d29465">LoadGame</a> ()</td></tr>
<tr class="separator:a88bb43938f1defeed996a31149d29465"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a808ff056bd75ca855bec426c22745055"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a808ff056bd75ca855bec426c22745055">SaveGame</a> ()</td></tr>
<tr class="separator:a808ff056bd75ca855bec426c22745055"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96d1ed32909459cdea9c68ccbd110b60"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a96d1ed32909459cdea9c68ccbd110b60">GetMap</a> () -&gt; <a class="el" href="classgg_1_1Map.html">Map</a> *</td></tr>
<tr class="separator:a96d1ed32909459cdea9c68ccbd110b60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a953c4d2118a2266a8cbe54f7e19f8fa0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a953c4d2118a2266a8cbe54f7e19f8fa0">Build</a> (<a class="el" href="classgg_1_1Tile.html">Tile</a> *)</td></tr>
<tr class="separator:a953c4d2118a2266a8cbe54f7e19f8fa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76a69b3e834982cd5b64fbb7a391eeda"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a76a69b3e834982cd5b64fbb7a391eeda">Demolish</a> (<a class="el" href="classgg_1_1Tile.html">Tile</a> *tile)</td></tr>
<tr class="separator:a76a69b3e834982cd5b64fbb7a391eeda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe5bc91481c10de81464bc4a7a4dfb3a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#afe5bc91481c10de81464bc4a7a4dfb3a">SetOrientation</a> (<a class="el" href="classgg_1_1Tile.html">Tile</a> *)</td></tr>
<tr class="separator:afe5bc91481c10de81464bc4a7a4dfb3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98a8c20510d1028bfd2582285b30e4ed"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a98a8c20510d1028bfd2582285b30e4ed">IncreaseTaxFactor</a> ()</td></tr>
<tr class="separator:a98a8c20510d1028bfd2582285b30e4ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa9594a9dd7e6c6c498d39191fe0ca0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#afa9594a9dd7e6c6c498d39191fe0ca0c">DecreaseTaxFactor</a> ()</td></tr>
<tr class="separator:afa9594a9dd7e6c6c498d39191fe0ca0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a539e1ef75a7614894645ee3cf9ff6264"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#a539e1ef75a7614894645ee3cf9ff6264">MapNavigate</a> ()</td></tr>
<tr class="separator:a539e1ef75a7614894645ee3cf9ff6264"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab08df82618b9c1bd32f89387f7e44de0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1Gameplay.html#ab08df82618b9c1bd32f89387f7e44de0">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:ab08df82618b9c1bd32f89387f7e44de0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1GameState"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1GameState')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td></tr>
<tr class="memitem:a5f1b188a3cb1ecb87ee511eb94bac00a inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a5f1b188a3cb1ecb87ee511eb94bac00a">GameState</a> (<a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>)</td></tr>
<tr class="separator:a5f1b188a3cb1ecb87ee511eb94bac00a inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a002bb6e63a30011a1994f94a174f78dd inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a002bb6e63a30011a1994f94a174f78dd">~GameState</a> () override=default</td></tr>
<tr class="separator:a002bb6e63a30011a1994f94a174f78dd inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5b20ea0224f8a5fde426cecc5c58663 inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#aa5b20ea0224f8a5fde426cecc5c58663">Enter</a> ()</td></tr>
<tr class="separator:aa5b20ea0224f8a5fde426cecc5c58663 inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bd8ba8c1de8c6d955266c06366b945e inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a1bd8ba8c1de8c6d955266c06366b945e">Exit</a> ()</td></tr>
<tr class="separator:a1bd8ba8c1de8c6d955266c06366b945e inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ecdbb073943b30d3761441a64c287f2 inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a9ecdbb073943b30d3761441a64c287f2">Update</a> ()=0</td></tr>
<tr class="separator:a9ecdbb073943b30d3761441a64c287f2 inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a889abdb1cbc9d27df5b6ea25dae3942b inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a889abdb1cbc9d27df5b6ea25dae3942b">GetSceneType</a> () -&gt; <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a></td></tr>
<tr class="separator:a889abdb1cbc9d27df5b6ea25dae3942b inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEventSubscriber"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEventSubscriber')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgg_1_1GameState"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1GameState')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td></tr>
<tr class="memitem:a73aefae71e9c2b1d25570209eb8060ba inherit pro_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a73aefae71e9c2b1d25570209eb8060ba">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:a73aefae71e9c2b1d25570209eb8060ba inherit pro_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classgg_1_1GameState"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classgg_1_1GameState')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td></tr>
<tr class="memitem:aff73b97ff10df8d9e2adc87adb946721 inherit pro_attribs_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#aff73b97ff10df8d9e2adc87adb946721">m_sceneType</a> = <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9a90589c47f06eb971d548591f23c285af">SceneType::Custom</a></td></tr>
<tr class="separator:aff73b97ff10df8d9e2adc87adb946721 inherit pro_attribs_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a328b60e39c3e42c3934fb9b8fe6c215f" name="a328b60e39c3e42c3934fb9b8fe6c215f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a328b60e39c3e42c3934fb9b8fe6c215f">&#9670;&nbsp;</a></span>Gameplay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::Gameplay::Gameplay </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a31ae1423b8e4197bec904b594419ad1b" name="a31ae1423b8e4197bec904b594419ad1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31ae1423b8e4197bec904b594419ad1b">&#9670;&nbsp;</a></span>~Gameplay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::Gameplay::~Gameplay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a953c4d2118a2266a8cbe54f7e19f8fa0" name="a953c4d2118a2266a8cbe54f7e19f8fa0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a953c4d2118a2266a8cbe54f7e19f8fa0">&#9670;&nbsp;</a></span>Build()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::Build </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1Tile.html">Tile</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afa9594a9dd7e6c6c498d39191fe0ca0c" name="afa9594a9dd7e6c6c498d39191fe0ca0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa9594a9dd7e6c6c498d39191fe0ca0c">&#9670;&nbsp;</a></span>DecreaseTaxFactor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::DecreaseTaxFactor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a76a69b3e834982cd5b64fbb7a391eeda" name="a76a69b3e834982cd5b64fbb7a391eeda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76a69b3e834982cd5b64fbb7a391eeda">&#9670;&nbsp;</a></span>Demolish()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::Demolish </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1Tile.html">Tile</a> *&#160;</td>
          <td class="paramname"><em>tile</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab08df82618b9c1bd32f89387f7e44de0" name="ab08df82618b9c1bd32f89387f7e44de0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab08df82618b9c1bd32f89387f7e44de0">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::draw </td>
          <td>(</td>
          <td class="paramtype">sf::RenderTarget &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sf::RenderStates&#160;</td>
          <td class="paramname"><em>states</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acfadd107fed3c592faec7bf2cc594ec1" name="acfadd107fed3c592faec7bf2cc594ec1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfadd107fed3c592faec7bf2cc594ec1">&#9670;&nbsp;</a></span>Enter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::Enter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1GameState.html#aa5b20ea0224f8a5fde426cecc5c58663">gg::GameState</a>.</p>

</div>
</div>
<a id="af4fff19dc4a7848680586c134841aaec" name="af4fff19dc4a7848680586c134841aaec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4fff19dc4a7848680586c134841aaec">&#9670;&nbsp;</a></span>Exit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::Exit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1GameState.html#a1bd8ba8c1de8c6d955266c06366b945e">gg::GameState</a>.</p>

</div>
</div>
<a id="a96d1ed32909459cdea9c68ccbd110b60" name="a96d1ed32909459cdea9c68ccbd110b60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96d1ed32909459cdea9c68ccbd110b60">&#9670;&nbsp;</a></span>GetMap()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::Gameplay::GetMap </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1Map.html">Map</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a98a8c20510d1028bfd2582285b30e4ed" name="a98a8c20510d1028bfd2582285b30e4ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98a8c20510d1028bfd2582285b30e4ed">&#9670;&nbsp;</a></span>IncreaseTaxFactor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::IncreaseTaxFactor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a88bb43938f1defeed996a31149d29465" name="a88bb43938f1defeed996a31149d29465"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88bb43938f1defeed996a31149d29465">&#9670;&nbsp;</a></span>LoadGame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::LoadGame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a539e1ef75a7614894645ee3cf9ff6264" name="a539e1ef75a7614894645ee3cf9ff6264"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a539e1ef75a7614894645ee3cf9ff6264">&#9670;&nbsp;</a></span>MapNavigate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::MapNavigate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa7c208dd9325562dd9203b4db25a6020" name="aa7c208dd9325562dd9203b4db25a6020"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7c208dd9325562dd9203b4db25a6020">&#9670;&nbsp;</a></span>NewGame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::NewGame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a62f7697ab2b80b8663985217d02f4631" name="a62f7697ab2b80b8663985217d02f4631"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62f7697ab2b80b8663985217d02f4631">&#9670;&nbsp;</a></span>OnEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::OnEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">gg::IEventSubscriber</a>.</p>

</div>
</div>
<a id="a808ff056bd75ca855bec426c22745055" name="a808ff056bd75ca855bec426c22745055"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a808ff056bd75ca855bec426c22745055">&#9670;&nbsp;</a></span>SaveGame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::SaveGame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afe5bc91481c10de81464bc4a7a4dfb3a" name="afe5bc91481c10de81464bc4a7a4dfb3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe5bc91481c10de81464bc4a7a4dfb3a">&#9670;&nbsp;</a></span>SetOrientation()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::SetOrientation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1Tile.html">Tile</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0526d473d0edda7c71ccd049c7c7abbd" name="a0526d473d0edda7c71ccd049c7c7abbd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0526d473d0edda7c71ccd049c7c7abbd">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::Gameplay::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1GameState.html#a9ecdbb073943b30d3761441a64c287f2">gg::GameState</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/gamestates/<a class="el" href="Gameplay_8hpp_source.html">Gameplay.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
